---
primaryTopic:
  Accounts:
    AccountCategory: MICRO
    AccountRefDay: 31
    AccountRefMonth: 12
    LastMadeUpDate: 31/12/2024
    NextDueDate: 30/09/2026
  CompanyCategory: Private Limited Company
  CompanyName: TENZY LIMITED
  CompanyNumber: 04844108
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 24/07/2003
  RegAddress:
    AddressLine1: UNIT G1B3 EVANS HOUSE
    AddressLine2: NORMAN STREET
    PostTown: WARRINGTON
    Country: UNITED KINGDOM
    Postcode: WA2 7HW
  Returns:
    LastMadeUpDate: 24/07/2025
    NextDueDate: 07/08/2026
  SICCodes:
    SicText:
      - '47410 - Retail sale of computers, peripheral units and software in specialised stores'
      - '62020 - Information technology consultancy activities'
      - '62030 - Computer facilities management activities'
      - '95110 - Repair of computers and peripheral equipment'
